## pacparser 1.2.7

=== debian/changelog ===
pacparser (1.2.7-1) unstable; urgency=low

  * Imported Upstream version 1.2.7
  * Use source format 3.0 (quilt)
  * Add patch to skip the dns related post-build test, as network is
    assumed to be not available in the debian build enviorment.

 -- Manu Garg <manugarg@gmail.com>  Wed, 16 Mar 2011 09:20:19 +0530

pacparser (1.2.6-3) unstable; urgency=low

  * debian/control: transfer maintenance to Manu Garg, with myself as an
    uploader

 -- Andrew Pollock <apollock@debian.org>  Fri, 07 Jan 2011 22:26:04 -0800

pacparser (1.2.6-2) unstable; urgency=low

  * debian/control: rename libpacparser1-dev to libpacparser-dev

 -- Andrew Pollock <apollock@debian.org>  Fri, 26 Nov 2010 11:07:36 -0800

pacparser (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Fri, 17 Sep 2010 21:23:56 -0700

pacparser (1.2.5-1) unstable; urgency=low

  * New upstream release
  * debian/libpacparser1.manpages: add pactester manpage
  * debian/control: update description for libpacparser1 to mention inclusion
    of pactester

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Sep 2010 13:36:31 -0700

pacparser (1.2.2-2) unstable; urgency=low

  * debian/libpacparser1.install: add pactester to the package

 -- Andrew Pollock <apollock@debian.org>  Sat, 11 Sep 2010 09:02:50 -0700

pacparser (1.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: bumped Standards-Version (no changes)
  * debian/control: remove build dependency on libmozjs-dev

 -- Andrew Pollock <apollock@debian.org>  Fri, 10 Sep 2010 21:54:24 -0700

pacparser (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Tue, 07 Sep 2010 09:39:05 -0700

pacparser (1.0.9-2) unstable; urgency=low

  [ Luca Falavigna ]
  * Do not rely on a particular Python when installing extension, fix
    FTBFS with Python 2.6 as default (Closes: #571502).
  * Build-depend on python-support and invoke dh_pysupport in rules to
    allow byte-compilation of Python files (Closes: #566050).

  [ Andrew Pollock ]
  * Preempt NMU
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Fri, 05 Mar 2010 12:46:51 -0800

pacparser (1.0.9-1) unstable; urgency=low

  * Initial release (Closes: #554844)

 -- Andrew Pollock <apollock@debian.org>  Thu, 03 Dec 2009 10:01:55 -0800
