## pacparser 1.3.0

=== src/Makefile ===
--- 
+++ 
@@ -43,12 +43,16 @@
 SMCFLAGS = -DHAVE_VA_COPY -DVA_COPY=__va_copy
 
 ifeq ($(OS_ARCH),Darwin)
+  MAC_MINOR_VERSION := $(shell sw_vers -productVersion | cut -d. -f2)
+  MAC_GT_5 := $(shell [ $(MAC_MINOR_VERSION) -le 5 ] && echo false)
   SO_SUFFIX = dylib
   LIBRARY = $(LIBRARY_NAME).$(LIB_VER).$(SO_SUFFIX)
   MKSHLIB = $(CC) -dynamiclib -framework System
   LIB_OPTS = -install_name $(PREFIX)/lib/$(notdir $@)
   SHFLAGS =
-  SMCFLAGS =
+  ifeq ($(MAC_GT_5),false)
+    SMCFLAGS =
+  endif
 endif
 
 CFLAGS = -g -DXP_UNIX -Wall -DVERSION=$(VERSION)
@@ -73,6 +77,7 @@
 
 spidermonkey/js/src: spidermonkey/js-?.?.?.tar.gz
 	tar xzvf spidermonkey/js-?.?.?.tar.gz -C spidermonkey
+	sed -i -e 's:\(shell uname -s | sed /\\ /s//_/\):\1 | sed s,GNU.*,Linux,:g' spidermonkey/js/src/config.mk
 
 jsapi_buildstamp: spidermonkey/js/src
 	cd spidermonkey && SMCFLAGS="$(SHFLAGS) $(SMCFLAGS)" $(MAKE) jsapi
@@ -96,7 +101,7 @@
 
 testpactester: pactester
 	echo "Running tests for pactester."
-	../tests/runtests.sh
+	NO_INTERNET=$(NO_INTERNET) ../tests/runtests.sh
 
 install: all
 	install -d $(LIB_PREFIX) $(INC_PREFIX) $(BIN_PREFIX)
@@ -127,5 +132,5 @@
 
 clean:
 	rm -f $(LIBRARY_LINK) $(LIBRARY) libjs.a pacparser.o pactester pymod/pacparser_o_buildstamp jsapi_buildstamp
-	cd pymod && python setup.py clean
+	cd pymod && python setup.py clean --all
 	cd spidermonkey && $(MAKE) clean
