=== debian/changelog ===
pacparser (1.3.0-2) unstable; urgency=low

  * debian/control: Bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Feb 2012 09:23:41 -0800

pacparser (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0

 -- Manu Garg <manugarg@gmail.com>  Sat, 10 Sep 2011 23:33:07 +0530

pacparser (1.2.9-1) unstable; urgency=low

  * Imported Upstream version 1.2.9
  * Fix the typo in last debian/changelog entry.
  * Add a config file for git-buildpackage to make it build in
    ../build-area directory so that original source remains clean.

 -- Manu Garg <manugarg@gmail.com>  Wed, 04 May 2011 23:22:50 +0530
