=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,8 @@
 build-arch: build-arch-stamp
 build-arch-stamp: configure-stamp 
 
-	$(MAKE) -C src
-	$(MAKE) -C src pymod
+	NO_INTERNET=yes $(MAKE) -C src
+	NO_INTERNET=yes $(MAKE) -C src pymod
 	touch $@
 
 build-indep: build-indep-stamp
@@ -79,8 +79,8 @@
 
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
-	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install
-	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install-pymod EXTRA_ARGS=--install-layout=deb
+	NO_INTERNET=yes $(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install
+	NO_INTERNET=yes $(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install-pymod EXTRA_ARGS=--install-layout=deb
 
 	dh_install -s --autodest
 	dh_pysupport -s
