=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/pacparser/downloads/list http://pacparser.googlecode.com/files/pacparser-(\d+)\.(\d+)\.(\d+)\.tar\.gz
