=== debian/changelog ===
pacparser (1.3.6-1.2ubuntu1) jammy; urgency=medium

  * Turn debhelper up to 11, see #965765
  * Do not try to install examples in python-pacparser,
    which was dropped

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 23 Mar 2022 10:35:14 +0000

pacparser (1.3.6-1.2build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:31:15 +0000

pacparser (1.3.6-1.2build3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:57:16 +0000

pacparser (1.3.6-1.2build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:41:06 +0100

pacparser (1.3.6-1.2build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:53:21 +0200

pacparser (1.3.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drup python-pacparser - obsolete, no rdepends (Closes: #937229)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Mar 2020 00:22:40 -0500

pacparser (1.3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload. (Closes: #809466)
  * Loop over supported python3 versions in build/install rules to add support
    for multiple python3 versions
  * Add removal of python build directory to clean rule
  * Slightly change python3-pacparser descriptions to distinguish from python-
    pacparser
  * Add libpacparser1 to libpacparser-dev depends for proper shared library
    package operation

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Jan 2016 14:07:26 -0500

pacparser (1.3.6-1) unstable; urgency=medium

  * Sync to upstream version 1.3.6.
  * Fix debian/copyright.
  * List of upstream changes: https://goo.gl/eJrQRB

 -- Manu Garg <manugarg@gmail.com>  Fri, 04 Sep 2015 12:27:18 -0700

pacparser (1.3.5-1) unstable; urgency=low

  * Sync to upstream version 1.3.5.
  * Apply a patch on top of that for debian hardening and document fixes.
  * Complete list of changes in upstream: https://github.com/pacparser/pacparser/releases

 -- Manu Garg <manugarg@gmail.com>  Sun, 30 Aug 2015 23:33:07 -0700

pacparser (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python (Closes: #786034)

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 20 Aug 2015 03:26:57 +0500
