=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pacparser
 Section: libs
 Priority: extra
-Maintainer: Manu Garg <manugarg@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Manu Garg <manugarg@gmail.com>
 Uploaders: Andrew Pollock <apollock@debian.org>
-Build-Depends: debhelper (>= 5), python-dev, python-support
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 11), python3-all-dev, dh-python
+Standards-Version: 3.9.6
 
 Package: libpacparser1
 Section: libs
@@ -30,7 +31,7 @@
 
 Package: libpacparser-dev
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libpacparser1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: libpacparser1-dev
 Conflicts: libpacparser1-dev
 Architecture: any
@@ -51,11 +52,11 @@
  .
  This package contains the header files to build against the shared library.
 
-Package: python-pacparser
+Package: python3-pacparser
 Section: python
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
-Description: Python module to parse proxy auto-config files
+Description: Python 3 module to parse proxy auto-config files
  a library to parse proxy auto-config (PAC) files. Proxy auto-config files are
  a vastly used proxy configuration method these days. Web browsers can use a PAC
  file to determine which proxy server to use or whether to go direct for a given
@@ -70,4 +71,4 @@
  behind pacparser is to make it easy to add this PAC file parsing capability to
  any program (C and Python supported right now).
  .
- This package contains the Python bindings for the shared library
+ This package contains the Python 3 bindings for the shared library
