=== debian/changelog ===
pacparser (1.4.3-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:14:37 +0000

pacparser (1.4.3-1) unstable; urgency=medium

  * Adopt package. (Closes: #1060891)
  * New upstream version 1.4.3.
  * CVE-2023-37360: Pacparser before 1.4.2 allows JS injection.
    (Closes: #1041425)
  * Patch for IndexError: list index out of range and build 
    errors + removed previous memory overwrite patch. (Closes: #1054725)
  * Bumped Standards-Version to 4.6.2.  
  * Removed d/compat 7 + switch to debhelper 13.
  * Updated d/rules to latest version.
  * Added source homepage, Vcs info, Rules-Requires-Root in d/control.
  * Bumped d/watch version to 4.
  * Added debian/latest to gpg.conf.
  * Removed README.win32 from d/docs.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 17 Jan 2024 19:00:00 +0000

pacparser (1.3.6-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2019-25078: Possible memory overwrite in pacparser_find_proxy()
    (Closes: #1026106)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Feb 2023 16:48:20 +0200

pacparser (1.3.6-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965765)

 -- Adrian Bunk <bunk@debian.org>  Mon, 25 Jul 2022 00:20:17 +0300
