=== debian/control ===
--- 
+++ 
@@ -1,11 +1,18 @@
 Source: pacparser
 Section: libs
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Manu Garg <manugarg@gmail.com>
-Uploaders: Andrew Pollock <apollock@debian.org>
-Build-Depends: debhelper (>= 11), python3-all-dev, dh-python
-Standards-Version: 3.9.6
+Priority: optional
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Alexandre Detiste <alexandre.detiste@gmail.com>,
+           Andrew Pollock <apollock@debian.org>,
+           Yogeswaran Umasankar <kd8mbd@gmail.com>
+Homepage: https://github.com/manugarg/pacparser
+Vcs-Git: https://salsa.debian.org/python-team/packages/pacparser.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pacparser
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               python3-all-dev
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 
 Package: libpacparser1
 Section: libs
