## pacparser 1.4.5

=== src/spidermonkey/Makefile ===
--- 
+++ 
@@ -21,16 +21,14 @@
 # Include config.mk to get the variable $(OBJDIR).
 # We need to create $(OBJDIR) first to be able to build libjs.a alone.
 
-ifneq ($(MAKECMDGOALS),clean)
-  DEPTH = js/src
-  include js/src/config.mk
-endif
+DEPTH = js/src
+include js/src/config.mk
 
 jsapi: js-buildstamp
 
 jslib: js-buildstamp
 	cd js/src
-	find . -name "libjs.a" -exec cp {} .. \;
+	find . -name "libjs.a" -exec cp {} . \;
 
 js-buildstamp:
 	mkdir -p js/src/$(OBJDIR)
@@ -39,5 +37,5 @@
 	touch js-buildstamp
 
 clean:
-	rm -rf js-buildstamp
-	rm -rf js
+	rm -rf js/src/$(OBJDIR)
+	rm -f libjs.a js-buildstamp
