=== debian/changelog ===
pacparser (1.4.5-4build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:31:38 +0000

pacparser (1.4.5-4build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:37:51 +0000

pacparser (1.4.5-4build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:03 +0100

pacparser (1.4.5-4) unstable; urgency=medium

  * Fix SyntaxWarning (Closes: #1085763)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Oct 2024 16:26:52 +0200

pacparser (1.4.5-3) unstable; urgency=medium

  * d/control: add python3-setuptools to B-Depends. (Closes: #1080912)
  * Routine update.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 06 Sep 2024 05:34:00 +0000

pacparser (1.4.5-2) unstable; urgency=medium

  * Patch to fix ftbfs with GCC-14
    'd/patches/004_fix-GCC14-va.patch'. (Closes: #1075356)

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 01 Aug 2024 05:10:00 +0000

pacparser (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5.
  * Updated 001_py3only.patch to fit new upstream version.
  * d/control: Bumped Standards-Version to 4.7.0 + Updated
    Uploaders.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 30 Jun 2024 00:30:00 +0000
