=== debian/watch ===
version=4
https://github.com/manugarg/pacparser/tags .*/v(\d\S+)\.tar\.gz
